Subject: Re: [lisp] WG Review: Locator/ID Separation Protocol (lisp)

From: [email-masked] (Noel Chiappa)
Date: Wed, 18 Mar 2009 11:43:56 -0400 (EDT)

> From: Sam Hartman <[email-masked]>

    > EIDs have local topology and are locally routable. They contain three
    > portions: a part that identifies an organization. That part really does
    > seem to be an identifier. They contain a portion that identifies a
    > subnet within an organization and a portion that identifies an
    > interface.

It's probably worth also noting (in addition to the caveats about the
semantics changing over time) that "organization" != "portion of network".
I.e. a chunk of namespace might be allocated to an organization, but it might
further subdivide that chunk, and allocate one part to an office in one
location, and another part to an office elsewhere.

In general, the Internet has a long history of taking layers of binding and
using them in, ah, 'creative' ways. Look at ARP and ARP subnetting, and DNS
and load sharing, etc, etc. So no doubt the layer of binding available here
will also be utilized in 'creative' ways we don't currently visualize.

	Noel